org.apache.sysds.runtime.codegen

## Enum SpoofRowwise.RowType

- java.lang.Object
- - java.lang.Enum<SpoofRowwise.RowType>
  - - org.apache.sysds.runtime.codegen.SpoofRowwise.RowType

- All Implemented Interfaces:
    Serializable, Comparable<SpoofRowwise.RowType>
  Enclosing class:
    SpoofRowwise

      public static enum SpoofRowwise.RowType
      extends Enum<SpoofRowwise.RowType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COL_AGG`
    `COL_AGG_B1`
    `COL_AGG_B1_T`
    `COL_AGG_B1R`
    `COL_AGG_CONST`
    `COL_AGG_T`
    `FULL_AGG`
    `NO_AGG`
    `NO_AGG_B1`
    `NO_AGG_CONST`
    `ROW_AGG`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `boolean` | `isColumnAgg()`
    `boolean` | `isConstDim2(long dim2)`
    `boolean` | `isRowTypeB1()`
    `boolean` | `isRowTypeB1ColumnAgg()`
    `static SpoofRowwise.RowType` | `valueOf(int rowType)`
    `static SpoofRowwise.RowType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SpoofRowwise.RowType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_AGG

          public static final SpoofRowwise.RowType NO_AGG

    - #### NO_AGG_B1

          public static final SpoofRowwise.RowType NO_AGG_B1

    - #### NO_AGG_CONST

          public static final SpoofRowwise.RowType NO_AGG_CONST

    - #### FULL_AGG

          public static final SpoofRowwise.RowType FULL_AGG

    - #### ROW_AGG

          public static final SpoofRowwise.RowType ROW_AGG

    - #### COL_AGG

          public static final SpoofRowwise.RowType COL_AGG

    - #### COL_AGG_T

          public static final SpoofRowwise.RowType COL_AGG_T

    - #### COL_AGG_B1

          public static final SpoofRowwise.RowType COL_AGG_B1

    - #### COL_AGG_B1_T

          public static final SpoofRowwise.RowType COL_AGG_B1_T

    - #### COL_AGG_B1R

          public static final SpoofRowwise.RowType COL_AGG_B1R

    - #### COL_AGG_CONST

          public static final SpoofRowwise.RowType COL_AGG_CONST

  - ### Method Detail

    - #### values

          public static SpoofRowwise.RowType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpoofRowwise.RowType c : SpoofRowwise.RowType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpoofRowwise.RowType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### valueOf

          public static SpoofRowwise.RowType valueOf(int rowType)

    - #### getValue

          public int getValue()

    - #### isColumnAgg

          public boolean isColumnAgg()

    - #### isRowTypeB1

          public boolean isRowTypeB1()

    - #### isRowTypeB1ColumnAgg

          public boolean isRowTypeB1ColumnAgg()

    - #### isConstDim2

          public boolean isConstDim2(long dim2)

Copyright © 2021 The Apache Software Foundation. All rights reserved.